Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-ipflow-meth-00

From: Al Morton <[email-masked]>
Date: Tue, 15 Mar 2011 14:24:00 -0400

It seems that everyone has been busy, and I know I wasn't
able to finish reading and commenting on this draft, so...

I am extending this WGLC for 2 more weeks, ending Monday the 28th.

Al
bmwg chair

At 11:06 AM 2/13/2011, Al Morton wrote:
>BMWG,
>CC: IPFIX WG,
>
>This message begins the first WG Last call on the draft:
>
>IP Flow Information Accounting and Export Benchmarking Methodology
>draft-ietf-bmwg-ipflow-meth-00.txt
>
>A URL for this draft is:
>http://tools.ietf.org/html/draft-ietf-bmwg-ipflow-meth-00
>
>The Last Call will end on March 14, 2011.
>
>Although this is the first WGLC, we have discussed this draft
>in the working group for over two years, and made many suggestions.
>We have also benefited from review by folks from IPFIX WG.
>I now ask folks to consider items where they commented earlier,
>and make sure that the resolutions are satisfactory.
>
>And it's not too late to read the draft for the first time,
>and provide comments based on your review.
>
>Please weigh-in on whether or not this Internet-Draft
>should be given to the Area Directors and IESG for consideration and
>publication as an Informational RFC.  Send your comments
>to this list and/or [email-masked].
>
>Al
>bmwg chair
>
>
>_______________________________________________
>bmwg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bmwg

---

From: Al Morton <[email-masked]>
Date: Wed, 16 Mar 2011 11:06:58 -0400

Thanks Mike (this post appears to be delayed,
looking into it...)

Al

At 06:11 PM 3/15/2011, Mike Hamilton wrote:
>Hi Al and Jan,
>Below are some comments on the draft.  I'm only through the first 15
>pages, but in case I get sidetracked, I wanted to get these out.
>
>General:
>I think this is great work and fully support it.
>
>General Editorial Comments:
>I'm not sure why the terminology throughout the document is capitalized.
>I noticed a lot of 'Flow', 'Cache', and other terms that are capitalized.
>I'm not sure they should be capitalized unless they are proper names.
>That said, my English grammar is not great so I could totally be wrong.
>
>Terminology
>-I realize many of the terms are already defined in other documents, but
>in my opinion, it might make sense to split out the terminology into a
>separate document, if only to keep form with existing BMWG methodologies.
>
>Section 3.5
>--I don't quite follow the logic on why on software platforms, flow
>monitoring throughput will equal RFC 2544 Throughput.  According to the
>definition in section 3.1, 'Flow Monitoring Throughput' is defined as the
>maximum rate without losing a single flow record.  That metric is measured
>in terms of 'Flow records per second'.  The RFC 2544 throughput is
>measured in terms of either frames per second, or bits per second.  The
>metrics don't seem to equate.  Also, it's probably worth noting to the
>reader that RFC 2544 Throughput is actually defined in 1242 again for
>reference.
>
>--Also, I don't understand the blanket statement that software platforms'
>rates will equal the RFC 2544 throughput.  I don't see how we can
>generalize that all software implementations will drop forwarding packets
>before dropping flow records.  The case where exported flow records are
>dropped before data-plane packets are dropped would also meet the exit
>criteria defined in 3.4.1.
>
>Section 3.6
>--After reading this section, I'm not sure why we really need to provide
>any advice on expected DUT behavior.  If the methodology is setup
>correctly (which I believe it is), then let the output metrics speak for
>it.  I'm not sure why we need to comment on it.
>
>Section 4.3.1
>--Might be worthwhile to define Observation Point in the terminology
>section.
>
>
>
>
>-----Original Message-----
>From: Al Morton <[email-masked]>
>Date: Tue, 15 Mar 2011 14:24:00 -0400
>To: <[email-masked]>
>Cc: <[email-masked]>
>Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-ipflow-meth-00
>

---

From: "Jan Novak (janovak)" <[email-masked]>
Date: Wed, 16 Mar 2011 16:42:57 +0100

Hi Mike,

Thanks for your comments - really appreciate it.

>I'm not sure why the terminology throughout the document is
capitalized.

To my understanding so far when one refers to the defined terms within
the document as opposed to general "industry" words, they need to be
capitalized - but will check on that.

>separate document, if only to keep form with existing BMWG
methodologies.

I guess we can discuss this at the meeting, I thought to avoid it, 
since most of it would be just copy paste from the referenced IPFIX
documents.

>monitoring throughput will equal RFC 2544 Throughput.  According to the

This section stems from the very beginning when we had this massive
confusion what was the Flow monitoring metrics, why it was needed and
how it was different from Throughput while the results I presented
in Stockholm were saying "Look, they are actually same" :-).
You are right though about the logic - being focused on the above
did not realize it is not a valid statement if the drops happened
the other way round - thanks for spotting that. 

>rates will equal the RFC 2544 throughput

There is word  "numerically" there to emphasize the actual units of
measurement
are different - but yes, it is not a generally valid statement

>--After reading this section, I'm not sure why we really need to
provide

More or less same applies as said above - this was an attempt
to explain the two metrics will be radically different on HW 
platforms - as I said, it wasn't understood at the beginning ... 

>--Might be worthwhile to define Observation Point in the terminology

Again, it is an IPFIX term referenced in the section 2.1.

Tx, Jan

The climate of Edinburgh is such that the weak succumb young .... 
and the strong envy them.
                                 Dr. Johnson

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Al Morton
Sent: 16 March 2011 15:07
To: Mike Hamilton; [email-masked]
Subject: Re: [bmwg] WGLC: draft-ietf-bmwg-ipflow-meth-00

Al

---

From: Al Morton <[email-masked]>
Date: Thu, 24 Mar 2011 11:22:13 -0400

Hi Jan,

I've finally completed a review of this draft; you can find my complete
(many editorial) comments here:
http://home.comcast.net/~acmacm/BMWG/draft-ietf-bmwg-ipflow-meth-01acm.pdf

(Jan provided me an MS-word version of the *next=01* draft
  to base my comments on, and save us both some time.
  If anyone else would like the same opportunity, please let Jan know.)

Main Comments/Suggestions:

Added a MUST to benchmark both Forwarding Plane and Flow Monitoring
plane when *both* are present in the DUT.

The Reporting Formats in Appendix A are RECOMMENDED. (this is usual)

Clarified Baseline RFC2544 testing.

hope this helps,
Al
(as a participant)